#ifndef __VERIFIER_H__
#define __VERIFIER_H__

#include "abac.h"

#include "uthash.h"

void abac_verifier_init(void);
void abac_verifier_deinit(void);

int abac_verifier_load_id_file(char *filename);
int abac_verifier_load_id_chunk(abac_chunk_t chunk);
int abac_verifier_load_attribute_cert_file(char *filename, abac_list_t *clist);
int abac_verifier_load_attribute_cert_chunk(abac_chunk_t chunk, abac_list_t  *clist);

#endif /* __VERIFIER_H__ */
