/* abac_xml.h */
#ifndef __ABAC_XML_H__
#define __ABAC_XML_H__

extern void read_cert(char *filename, char **buf, int *len);
extern char *my_make_credential(char* rt0, int secs, char* cert, int certlen);
extern void fatal(const char *str);

extern int init_xmlsec();
extern int deinit_xmlsec();
extern char **my_read_credential(char *infile, char **xml);

extern char **get_rt0_from_xml(char *xml);
extern char *get_keyid_from_xml(char *xml);
extern long get_validity_from_xml(char *xml);

#endif /* __ABAC_XML_H__ */


